Overview | Package | Class | Tree | Index | Help
PREV NEXT | FRAMES NO FRAMES

## Master Index (Repository) Java Class Reference

The Master Index (Repository) Java API includes the classes and interfaces you need to process data through a master index database outside of the Collaborations or web services associated with a Master Index repository project. Use these methods to create customized applications that access the master index application. The following tables provide links to class and package information. For implementation information, go to Working with the Master Index (Repository) API.

Packages
com.stc.eindex.configurator |
com.stc.eindex.ejb.master |
com.stc.eindex.ejb.query |
com.stc.eindex.ejb.update |
com.stc.eindex.master |
com.stc.eindex.master.search.assumedmatch |
com.stc.eindex.master.search.audit |
com.stc.eindex.master.search.enterprise |
com.stc.eindex.master.search.merge |
com.stc.eindex.master.search.potdup |
com.stc.eindex.master.search.transaction |
com.stc.eindex.matching |
com.stc.eindex.objects |
com.stc.eindex.objects.epath |
com.stc.eindex.objects.exception |
com.stc.eindex.objects.validation |
com.stc.eindex.objects.validation.exception |
com.stc.eindex.ops.exception |
com.stc.eindex.page |
com.stc.eindex.persistence |
com.stc.eindex.phonetic |
com.stc.eindex.security |
com.stc.eindex.survivor |
com.stc.eindex.update |

Interface Summary
BlockPicker | The BlockPicker class is used to select the block of fields in the blocking query to use for the next matching pass.
MasterController | The MasterController interface is the remote interface of the Manager Service, which controls the primary functions of the master index.
MasterControllerHome | The MasterControllerHome interface is the remote home interface for the MasterController class.
MatchEngineConfiguration | The MatchEngineConfiguration interface is a marker interface used to implement a MatchEngine configuration.
MatcherAPI | The MatcherAPI interface enables communication between the eView Studio application and the match engine being used.
ObjectValidator | The ObjectValidator class provides the means for you to define custom validation logic to be performed against fields in an enterprise object after a transaction and before the updated enterprise object is saved to the database.
PassController | The PassController class determines whether to attempt another matching pass for the transaction using the next blocking definition (specified by BlockPicker).
PhoneticEncoder | The PhoneticEncoder interface allows eView Studio to use a specific phonetic encoder.
QueryManager | The QueryManager class executes the SQL queries against the master index database, providing a single point of access to database queries.
ResultObjectAssembler | The ResultObjectAssembler interface contains the methods used to assemble the JDBC objects that result from a query.
StandardizerAPI | The StandardizerAPI interface enables communication between the eView Studio application and the match engine being used.
StandardizerEngineConfiguration | The StandardizerEngineConfiguration interface is a marker interface used to implement a StandardizationEngine configuration.
SurvivorStrategyInterface | The SurvivorStrategyInterface class is the interface for all default and custom survivor calculators.
UpdatePolicy | The UpdatePolicy class allows you to define custom logic that changes the content of an enterprise object before the object is persisted in the database during a transaction.

Class Summary
AssembleDescriptor | The AssembleDescriptor class contains information used by the assembler engine (AssemblerEngine class) to construct the resulting composite objects.
AssumedMatchIterator | The AssumedMatchIterator class represents an iterator containing the AssumedMatchSummary objects returned by a call to lookupAssumedMatches.
AssumedMatchSearchObject | The AssumedMatchSearchObject class is an object representing the search criteria passed to lookupAssumedMatches when performing a search for assumed matches.
AssumedMatchSummary | The AssumedMatchSummary class represents an object containing transaction information about assumed match transactions that were returned by a call to lookupAssumedMatches.
AttributesData | The AttributesData class provides access to the data returned from a generated SQL query through the value object assembler methods (such as those in the classes that implement the ResultObjectAssembler interface).
AuditDataObject | The AuditDataObject class represents an object containing an audit log summary returned by a call to lookupAuditLog.
AuditIterator | The AuditIterator class represents an iterator containing the AuditDataObject objects returned by a call to lookupAuditLog.
AuditSearchObject | The AuditSearchObject class is an object representing the search criteria passed to lookupAuditLog when performing a search for audit log entries.
Condition | The Condition class represents a condition in the WHERE clause of a SQL statement that is used to build a query object.
EnterpriseObject | The EnterpriseObject class represents a compilation of all objects associated with a single entity in the master index database.
EnterpriseObjectHistory | The EnterpriseObjectHistory class represents the enterprise objects (class EnterpriseObject) involved in a specific transaction.
EOGetOptions | The EOGetOptions class contains the search criteria for a partial retrieval of an enterprise object (method getEnterpriseObject(String euid, EOGetOptions options)).
EOSearchCriteria | The EOSearchCriteria class contains the search criteria for a searchEnterpiseObject object.
EOSearchOptions | The EOSearchOptions class represents a specific sub-class of the SearchOptions class, and is used by searchEnterpriseObject as criteria for an enterprise object search.
EOSearchResultAssembler | The EOSearchResultAssembler class creates the results data (that is, EOSearchResultRecord objects) used by the Enterprise Data Manager to display the results of a search.
EOSearchResultIterator | The EOSearchResultIterator class represents an iterator containing the EOSearchResultRecord objects returned by a call to searchEnterpriseObject.
EOSearchResultRecord | The EOSearchResultRecord class represents an object containing a record returned by a call to MasterController.searchEnterpriseObject.
EPathArrayList | The EPathArrayList class represents an array of ePaths, which define the locations of fields in eView objects and the database.
ExecuteMatchLogics | The ExecuteMatchLogics class provides methods that allow you to customize how the matching process is performed by any of the "execute match" methods of the MasterController class.
MatchResult | The MatchResult class contains the return values for a call to any of the "executeMatch" methods (that is, executeMatch, executeMatchUpdate, executeMatchDupRecalc, executeMatchUpdateDupRecalc, or executeMatchGui).
MatchTuple | The MatchTuple class is used by the match engine when a candidate pool of possible matches to a record is returned by the Query Manager.
MatchTupleAssembler | The MatchTupleAssembler class is used by the match engine to assemble a MatchTuple object for each database tuple.
MergeHistoryNode | The MergeHistoryNode class helps create a merge history tree (for more information about merge histories, see the Enterprise Data Manager User's Guide).
MergeResult | The MergeResult class contains the return values for a call to the merge-related functions of the MasterController class.
ObjectField | The ObjectField class defines the fields contained in an object node (ObjectNode class.
ObjectNode | The ObjectNode class performs the following functions: Maintains object control flags (UPDATE, REMOVE, and ADD).
ObjectNodeAssembler | The ObjectNodeAssembler class creates an object node (class ObjectNode) hierarchy.
ObjectNodeMetaNode | The ObjectNodeMetaNode class describes the structure of object nodes (ObjectNode class).
PageIteratorWrapper | The PageIteratorWrapper class is the base wrapper for the page iterator, which is used by the paging mechanism to transmit data to the caller in the form of pages.
PotentialDuplicateIterator | The PotentialDuplicateIterator class represents an iterator containing the PotentialDuplicateSummary objects returned by a call to lookupPotentialDuplicates.
PotentialDuplicateSearchObject | The PotentialDuplicateSearchObject class is an object representing the search criteria passed to lookupPotentialDuplicate when performing a search for potential duplicates.
PotentialDuplicateSummary | The PotentialDuplicateSummary class represents an object containing a potential duplicate pair returned by a call to lookupPotentialDuplicates.
QMIterator | The QMIterator class is called by the Query Manager to iterate through a composite object list.
QueryObject | The QueryObject class represents the criteria and conditions of an object query in the master index.
QueryResults | The QueryResults class is used for tuple creation and for late assembling of tuples.
SBR | The SBR class represents the information about an entity that is considered to be the most accurate information from all external systems.
StrategyParameter | The StrategyParameter class represents a single parameter for the survivor strategy.
SystemDefinition | The SystemDefinition class represents the information about the external systems sharing data with the master index application.
SystemField | The SystemField class represents a field in a system object.
SystemFieldList | The SystemFieldList class represents a list of system fields.
SystemFieldListMap | The SystemFieldListMap class represents a mapping of a system key (that is, a system code and local ID pair) to a corresponding list of system fields.
SystemObject | The SystemObject class represents information sent to the master index from external systems.
SystemObjectPK | The SystemObjectPK class represents a system code and local ID pair.
TMResult | The TMResult class represents the results of the Transaction Manager.
TransactionIterator | The TransactionIterator class represents an iterator containing the TransactionSummary objects returned by a call to lookupTransaction.
TransactionObject | The TransactionObject class represents a transaction object as stored in the master index database table sbyn_transaction.
TransactionSearchObject | The TransactionSearchObject class is an object representing the search criteria passed to lookupTransaction when performing a search for transaction histories.
TransactionSummary | The TransactionSummary class represents an object containing a transaction summary returned by a call to lookupTransaction.
TransactionSummaryComparator | The TransactionSummaryComparator class is used to sort and compare TransactionSummary objects in a transaction iterator.
TupleAssembler | The TupleAssembler class assembles tuples from the data retrieved by the Query Manager.
UpdateResult | The UpdateResult class contains the return values for a call to updateEnterpriseDupRecalc.
ValueMetaNode | The ValueMetaNode class describes the structure of the composite value objects assembled by the Query Manager and the assembler engine.

Exception Summary
CandidateThresholdException | The CandidateThresholdException class represents an exception thrown when the specified candidate threshold is exceeded during a blocking query.
ConfigurationException | The ConfigurationException class represents an exception thrown when an error occurs in parsing or retrieving the configuration files.
CustomizationException | The CustomizationException class is used for errors that occur while processing the customizable logic for the executeMatch method.
DuplicateChildKeyException | The DuplicateChildKeyException class represents an exception thrown when duplicate unique keys are found in child objects of the same type (for example, when two home addresses are entered in one enterprise object).
EmptyLocalIDException | The EmptyLocalIDException class represents an exception thrown when the local ID field is empty.
EmptyObjectException | The EmptyObjectException class represents an exception thrown when an object is empty.
EmptySystemCodeException | The EmptySystemCodeException class represents an exception thrown when the system field is empty.
EPathException | The EPathException class represents an exception thrown when the specified ePath for a field in the enterprise object cannot be found.
EViewException | The EViewException class is the base exception class for all eView exceptions.
InvalidFieldNameException | The InvalidFieldNameException class represents an exception thrown when the given field name is invalid.
InvalidFieldValueException | The InvalidFieldValueException class represents an exception thrown when an invalid value is entered into a field.
InvalidKeyObjectException | The InvalidKeyObjectException class represents an exception thrown when the given key does not match the key definition for the object.
InvalidKeyTypeException | Each field in an object node has control flags represented by a number.
NotNullableFieldException | The NotNullableFieldException class represents an exception thrown when a null value is entered into a field that cannot be null.
ObjectException | The ObjectException class is the parent exception class for all exceptions that occur when processing ObjectNode objects.
OPSException | The OPSException class represents an exception thrown when an error occurs in database persistence operations in the transaction manager.
PageException | The PageException class represents an exception thrown when an error occurs while paging through the results of a search using the page iterator (such as when an object in the iterator cannot be retrieved, the iterator cannot be created, or next is called when the iterator index is already at the end).
PotentialDupMissingFieldException | The PotentialDupMissingFieldException class represents an exception thrown when an error occurs while constructing a potential duplicate object or changing its values (for example, if the date is null, this exception might be thrown when attempting to set the date).
ProcessingException | The ProcessingException class is the base exception class for all system-related exceptions.
QMException | The QMException class represents an exception thrown when an error occurs while the Query Manager is executing a query or assembling the results of the query.
SecurityException | The SecurityException class represents an exception thrown when there is an error in security processing.
SurvivorCalculationException | The SurvivorCalculationException class represents an exception thrown when an error occurs while calculating the surviving data for the Single Best Record (SBR).
UnfoundKeyNameException | The UnfoundKeyNameException class represents an exception thrown when a field name is not recognized as a defined key field name.
UserException | The UserException class is the base exception class for all user-related exceptions, such as entering incorrect parameters.
ValidationException | The ValidationException class represents an exception thrown when there is an error performing the specified validation against a field.
VOAException | The VOAException class represents an exception thrown when an error occurs while assembling the objects used by the Query Manager and Query Builders.

Overview | Package | Class | Tree | Index | Help
PREV NEXT | FRAMES NO FRAMES

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.